<?php
class jumpLang extends plxPlugin {

		public function __construct($default_lang) {
			parent::__construct($default_lang);
			
			$this->setConfigProfil(PROFIL_ADMIN);

			$this->addHook('plxMotorPreChauffageBegin', 'plxMotorPreChauffageBegin');
			$this->addHook('plxMotorConstruct', 'plxMotorConstruct');
			$this->addHook('jumpLang', 'jumpLang');
		}

		public function plxMotorPreChauffageBegin() {

			$string =<<<END
			\$tabLang = plxUtils::getLangs(); // récupération du tableau des langues
			if (strpos(\$this->get,'lang/') !== false ){ // récupération des données de l'URL
				\$lang = substr(\$this->get,strpos(\$this->get,'lang/')+5,2);
				if(in_array(strip_tags(\$lang), \$tabLang)) { // on vérifie que le paramètre fait bien parti du tableau des langues
					\$_SESSION['lang'] = strip_tags(\$lang); // on récupére la langue passée en paramètre et on l'enregistre dans une session
				}else{}
			}else{}

			if (isset(\$_SESSION['lang']) AND !empty(\$_SESSION['lang']) ){ // si la variable existe dans la session
				if(isset(\$this->aConf['default_lang'])) {
					\$this->aConf['default_lang']= \$_SESSION['lang']; // on change la langue du thème
				}else{}
			}else{}
			
			if(strpos(\$this->get,'lang/') !== false) {
				\$this->get = str_replace('lang/'.\$lang, '', \$this->get);
				header('Location:'.\$this->urlRewrite().\$this->get);
				exit();
			}
END;
			echo '<?php '.$string.' ?>';
		}

		public function jumpLang() {
			$plxMotor = plxMotor::getInstance();
			$urlActive = 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']; // récupère l'url de la page courante
			if (substr($urlActive,-1) == '/') {
				$urlActive = substr($urlActive, 0, -1);
			}
		?>

		<ul id="jumpLang">
			<li id="fr">
				<a href="<?php echo $urlActive; ?>/lang/fr" title="Aller &agrave; la version fran&ccedil;aise">
					<img src="<?php echo PLX_PLUGINS ?>/jumpLang/img/fr_25x17.jpg" alt="Aller &agrave; la version fran&ccedil;aise" width="25px" height="17px">
				</a>
			</li>
			<li id="es">
				<a href="<?php echo $urlActive; ?>/lang/es" title="Aller &agrave; la version espagnole">
					<img src="<?php echo PLX_PLUGINS ?>/jumpLang/img/es_25x17.jpg" alt="Aller &agrave; la version espagnole" width="25px" height="17px">
				</a>
			</li>
			<li id="en">
				<a href="<?php echo $urlActive; ?>/lang/en" title="Aller &agrave; la version anglaise">
					<img src="<?php echo PLX_PLUGINS ?>/jumpLang/img/en_25x13.jpg" alt="Aller &agrave; la version anglaise" width="25px" height="13px">
				</a>
			</li>
		</ul>

		<?php
		}

	}

?>